import { BaseDirective } from '../../base.directive';
import * as i0 from "@angular/core";
export declare class EuiFooterComponent extends BaseDirective {
    get cssClasses(): string;
    constructor();
    static ɵfac: i0.ɵɵFactoryDef<EuiFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiFooterComponent, "eui-footer", never, {}, {}, never, ["*"]>;
}
